Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Enumerations | Functions
file.h File Reference

Go to the source code of this file.

## Data Structures
struct | rb_w32_reparse_buffer_t

## Macros
#define | MAX_REPARSE_PATH_LEN 4092
#define | rb_w32_reparse_buffer_size(n)
#define | HAVE_FCHMOD 0

## Enumerations
enum | { MINIMUM_REPARSE_BUFFER_PATH_LEN = 4 }

## Functions
int | rb_w32_read_reparse_point (const WCHAR *path, rb_w32_reparse_buffer_t *rp, size_t bufsize, WCHAR **result, DWORD *len)
int | lchown (const char *path, int owner, int group)
int | rb_w32_ulchown (const char *path, int owner, int group)
int | fchmod (int fd, int mode)
UINT | rb_w32_filecp (void)
WCHAR * | rb_w32_home_dir (void)

## Macro Definition Documentation

## ◆ HAVE_FCHMOD

#define HAVE_FCHMOD 0

Definition at line 43 of file file.h.

## ◆ MAX_REPARSE_PATH_LEN

#define MAX_REPARSE_PATH_LEN 4092

Definition at line 4 of file file.h.

## ◆ rb_w32_reparse_buffer_size

#define rb_w32_reparse_buffer_size | ( |  | n | ) |

Value:
(sizeof(rb_w32_reparse_buffer_t) + \
sizeof(WCHAR)*((n)-MINIMUM_REPARSE_BUFFER_PATH_LEN))

Definition at line 33 of file file.h.

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
MINIMUM_REPARSE_BUFFER_PATH_LEN |

Definition at line 6 of file file.h.

## Function Documentation

## ◆ fchmod()

int fchmod | ( | int | fd,
|  | int | mode
| ) |  |

Definition at line 7638 of file win32.c.

References EBADF, errno, h, and int.

## ◆ lchown()

int lchown | ( | const char * | path,
|  | int | owner,
|  | int | group
| ) |  |

Definition at line 4776 of file win32.c.

## ◆ rb_w32_filecp()

UINT rb_w32_filecp | ( | void |  | ) |

## ◆ rb_w32_home_dir()

WCHAR* rb_w32_home_dir | ( | void |  | ) |

Definition at line 540 of file win32.c.

References ALLOC_N, L, len, and NULL.

## ◆ rb_w32_read_reparse_point()

int rb_w32_read_reparse_point | ( | const WCHAR * | path,
|  | rb_w32_reparse_buffer_t * | rp,
|  | size_t | bufsize,
|  | WCHAR ** | result,
|  | DWORD * | len
| ) |  |

Definition at line 5012 of file win32.c.

Referenced by rb_w32_reparse_symlink_p().

## ◆ rb_w32_ulchown()

int rb_w32_ulchown | ( | const char * | path,
|  | int | owner,
|  | int | group
| ) |  |

Definition at line 4782 of file win32.c.

rb_w32_reparse_buffer_t
Definition: file.h:10
n
const char size_t n
Definition: rb_mjit_min_header-2.7.0.h:5456
MINIMUM_REPARSE_BUFFER_PATH_LEN
@ MINIMUM_REPARSE_BUFFER_PATH_LEN
Definition: file.h:7